Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 693164 - media-sound/beets: Various cleanups needed
Summary: media-sound/beets: Various cleanups needed
Status: UNCONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Guillaume Seren
URL:
Whiteboard:
Keywords: PullRequest
Depends on: 693174 693178 693180
Blocks: 702914
  Show dependency tree
 
Reported: 2019-08-31 05:39 UTC by Bernardo Meurer
Modified: 2020-09-29 16:38 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Bernardo Meurer 2019-08-31 05:39:31 UTC
The beets ebuild is in a poor state and needs a rewrite. That process, however, will be non-trivial. A few of the needed packages are not in the tree and will need to be added.

This bug will work as a tracker for this issue so I can link the dependent ones.
Comment 1 Guillaume Seren 2020-04-25 21:16:05 UTC
Hey,
I have been working on this ebuild + 9999,
it is a lot cleaner and has tests.

Please send reviews.
Comment 2 Larry the Git Cow gentoo-dev 2020-06-01 12:28:39 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3b599ad6587752063fd42e3b9c7fed33771d494e

commit 3b599ad6587752063fd42e3b9c7fed33771d494e
Author:     Guillaume Seren <guillaumeseren@gmail.com>
AuthorDate: 2020-04-25 17:31:10 +0000
Commit:     Joonas Niilola <juippis@gentoo.org>
CommitDate: 2020-06-01 12:28:16 +0000

    media-sound/beets: cleanup ebuild
    
    Closes: https://bugs.gentoo.org/718398
    Bug: https://bugs.gentoo.org/702914
    Bug: https://bugs.gentoo.org/693164
    Closes: https://bugs.gentoo.org/584276
    
    Signed-off-by: Guillaume Seren <guillaumeseren@gmail.com>
    Signed-off-by: Joonas Niilola <juippis@gentoo.org>

 media-sound/beets/beets-1.4.9-r1.ebuild | 179 +++++++++++++++++++-------------
 1 file changed, 107 insertions(+), 72 deletions(-)
Comment 3 Joonas Niilola gentoo-dev 2020-06-01 12:32:26 UTC
The way I see it, this ebuild does some weird file removals based on USE flags. I don't think that's very wise. I understand the removal IF:
 1) deps are not available, 
 2) functionality requires massive amounts of deps.

Let's start discussion how to make beets better.
Comment 4 Guillaume Seren 2020-06-01 20:53:18 UTC
Hey Juippis,

(In reply to Joonas Niilola from comment #3)
> The way I see it, this ebuild does some weird file removals based on USE
> flags. I don't think that's very wise. I understand the removal IF:
>  1) deps are not available, 
>  2) functionality requires massive amounts of deps.
Yes tests was restricted before,
and I was aiming to have at least some of them working.

On the case I noted 4 cases:
* Depend on USE flags and can be activated
* Depend on missing deps and can not be activated now
* Need network usage to run the test
* Test are not working and dropped in master

> Let's start discussion how to make beets better.
Maybe (probably :) I miss something, but as I unterstand it,
we need to remove the tests that need network because network,
is not available in the test phase, for security reason.

I am working on cleaning those test condition
Comment 5 Guillaume Seren 2020-06-01 23:50:00 UTC
I have pushed a PR branch with the following fixes:
* cleanup + bump dev-python/cors-{3.0.8,9999}
* drop PMASK for media-sound/beets webserver
* add conditionnal on dev-python/cors for beets behind a new use flags 'cors'
Comment 6 Guillaume Seren 2020-09-29 16:31:58 UTC
Hey,
thank's to the detailled review of mgorny,
I have fixed and upgraded my branch:

* beets: Cleanup / Sort the RDEPEND / DEPEND / BDEPEND.
* beets: Drop the rm_use_plugin() and all module deletion.
* beets: Cleanup the test deletion if statement.
* beets: Add a patch to disable the failing test_completion.
* beets: Fix beets bash-completion generation / install.
* beets: Add the zsh completion install.
* flask-cors: Cleanup deps into RDEPEND
* flask-cors: Move the sphinx extension deps in the distutils call.